USN-5732-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5732-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5732-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5732-1
Related
Published
2022-11-17T17:38:45.076474Z
Modified
2022-11-17T17:38:45.076474Z
Summary
unbound vulnerability
Details

It was discovered that Unbound incorrectly handled delegations with a large number of non-responsive nameservers. A remote attacker could possibly use this issue to cause Unbound to consume resources, leading to a denial of service.

References

Affected packages

Ubuntu:22.04:LTS / unbound

Package

Name
unbound

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.13.1-1ubuntu5.3

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "unbound-anchor": "1.13.1-1ubuntu5.3",
            "python3-unbound": "1.13.1-1ubuntu5.3",
            "unbound-host": "1.13.1-1ubuntu5.3",
            "unbound": "1.13.1-1ubuntu5.3",
            "libunbound8": "1.13.1-1ubuntu5.3",
            "libunbound-dev": "1.13.1-1ubuntu5.3"
        }
    ]
}

Ubuntu:20.04:LTS / unbound

Package

Name
unbound

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.9.4-2ubuntu1.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libunbound8": "1.9.4-2ubuntu1.4",
            "libunbound-dev": "1.9.4-2ubuntu1.4",
            "unbound-anchor": "1.9.4-2ubuntu1.4",
            "python3-unbound": "1.9.4-2ubuntu1.4",
            "python-unbound": "1.9.4-2ubuntu1.4",
            "unbound-host": "1.9.4-2ubuntu1.4",
            "unbound": "1.9.4-2ubuntu1.4"
        }
    ]
}

Ubuntu:18.04:LTS / unbound

Package

Name
unbound

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.6.7-1ubuntu2.6

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libunbound2": "1.6.7-1ubuntu2.6",
            "libunbound-dev": "1.6.7-1ubuntu2.6",
            "unbound-anchor": "1.6.7-1ubuntu2.6",
            "python3-unbound": "1.6.7-1ubuntu2.6",
            "python-unbound": "1.6.7-1ubuntu2.6",
            "unbound-host": "1.6.7-1ubuntu2.6",
            "unbound": "1.6.7-1ubuntu2.6"
        }
    ]
}